<?php

	

	function affiliate_manager_add_help_tab() {

		$screen = get_current_screen();

		$screen->add_help_tab(

			array(

				'id'	=> 'affiliate_manager_help_tab_about',

				'title'	=> 'Über',

				'content'	=> '

					<div style="text-align: left; padding: 20px 0 40px 0;">

						<h3>Funktionen der aktuellen Version</h3>

						<ul style="height: 200px; overflow-y: scroll">

							<li>

								<strong>Verwaltung der Affiliate-Werbeanzeigen</strong><br/>

								Mit dem ATOMIK Affiliate-Banner-Manager von Codepalm können Werbebanner einfach verwaltet und kontrolliert werden. Ein Banner benötigt nur einen Titel als Beschreibung und den HTML- bzw. JavaScript-Code. Den Code erhält man von Amazon, Affilinet, Belboon oder anderen Werbetreibenden.

							</li>

							<li>

								<strong>Aktivierung und Deaktivierung eines Banners</strong><br/>

								Sollte ein Werbepartner die Partnerschaft kündigen, muss der Banner nicht in jedem einzelnen Beitrag und auf jeder Seite gelöscht werden, sondern kann bequem über eine Checkbox ausgeschaltet werden.

							</li>

							<li>

								<strong>Gruppierungen der Banner</strong><br/>

								Ein Banner kann bis zu 2 Kategorien enthalten: Die "Gruppe" und die "Größe". Dadurch lassen sich die Banner mit dem Shortcode einfach in verschiedenen Darstellungen einplegen. Ein Banner kann zum Beispiel die "Größe" <b>Sidebar</b> (Hohe, schmale Bilder) oder <b>Content</b> (Breite, flache Bilder) besitzen, um genau zu steuern an welchen Inhaltsbereichen sich der Werbebanner ausrichtet. Die "Gruppe" kann zum Beispiel der Werbetreibende oder die Affiliate-Plattform sein.

							</li>

							<li>

								<strong>Platzierung der Banner durch einen Shortcode</strong><br/>

								Um einen Banner oder ein Banner-Set auf der Webseite zu platzieren kann der Shortcode <b>[affiliate_banner]</b> verwendet werden. Im Reiter <b>Shortcode</b> wird er detaillierter Beschrieben und gezeigt, wie einzelne oder Gruppen-Rollierende Banner gewählt werden können.

							</li>

							<li>

								<strong>Eine Vorschau ansehen</strong><br/>

								Damit der Redakteur prüfen kann, ob der Banner funktioniert und keine Fehler geschehen, kann auf einem bereits gesicherten Banner auf den Button <b>Vorschau</b> geklickt werden. Ein neues Fenster mit dem Banner-Code öffnet sich. Stelle also sicher, dass PopUps im Browser ausgegeben werden können.

							</li>

							<li>

								<strong>Werbeanzeigen auswerten</strong><br/>

								Über den einzelnen Bannern befindet sich die Auswertung der Kategorien. Die Auswertung besteht aus die Anzahl der Klicks, die auf Banner geschehen sind, die Anzahl der ausgegebenen Werbebannern (Impressionen) und die Conversion-Rate. Zudem befindet sich in jedem Banner-Reiter die Einzelauswertung der Werbeanzeige. 

							</li>

						</ul>

					</div>

					<div style="text-align: left; padding: 20px 0 40px 0;">

						<h3>Bevorstehende Funktionen</h3>

						<ul style="height: 200px; overflow-y: scroll">

							<li>

								<strong>Zeitsteuerung einzelner Banner</strong><br/>

								Die Zeitsteuerung soll bei Aktionen oder sessionale Angebote helfen. Es soll ein Start- und End-Zeitraum eingegeben werden können.

							</li>

							<li>

								<strong>Gewichtung einzelner Banner</strong><br/>

								Die Gewichtung soll die Ausgabe-Rate der einzelnen Banner beeinflussen. Mit einem Wert kann angegeben werden, wie häufig ein bestimmter Banner ausgestrahlt werden soll.

							</li>

							<li>

								<strong>Ausstrahlung nach Klickrate</strong><br/>

								Zukünftig sollen Banner mit einer hohen Klickrate automatisch häufiger ausgestrahlt werden, als Banner mit einer schwächeren Klickrate. Das geschieht mit einer automatischen Gewichtung des Banners.

							</li>

							<li>

								<strong>Ausgabe nach Benutzerrolle des Benutzers</strong><br/>

								Banner werden zukünftig vom Login-Status und der Benutzerrolle des Benutzers beeinflusst werden können. Somit können bestimmte Banner an ausgeloggte Benutzer oder andere Banner an die Gruppe "User" oder "Admin" ausgegeben werden. Dadurch können auch Bezahlungs-Systeme eingefügt werden, die die Werbung abschalten, wenn ein Benutzer von zum Beispiel die Rolle "PaidMember" besitzt.

							</li>

							<li>

								<strong>Ausgabe des Benutzers nach Meta-Variable</strong><br/>

								Wie bei "Ausgabe nach Benutzerrolle des Benutzers" sollen bestimmte Banner nur ausgegeben werden, wenn eine Meta-Variable des Benutzers einem bestimmten Wert entspricht. Dadurch können zum Beispiel Interessen an einer anderer Stelle ausgewertet werden und Banner mit einer bestimmten Gruppe automatisch häufiger ausgestrahlt werden, als andere.

							</li>

							<li>

								<strong>Fallback bei inaktivem Banner</strong><br/>

								Sollte ein Banner ausgestrahlt werden, der eigentlich inaktiv ist, soll ein Fallback (eine Alternative) ausgestrahlt werden, die der Admin oder der Redakteur steuern kann. Das betrifft in den meisten Fällen Banner-Ausgaben, die mit einer ID gesteuert werden, oder wenn eine komplette Gruppe deaktiviert wird.

							</li>

						</ul>

					</div>

					<div style="text-align: center; padding: 40px 0 20px 0;">

						<a href="https://www.codepalm.de/" target="_blank">

							<img src="'.plugins_url( '../img/codepalm_logo.png', __FILE__ ).'" style="max-width: 80px;" />

						</a>

						<h3><strong>ATOMIK</strong> ist ein Projekt von <a href="https://www.codepalm.de/" target="_blank" style="text-decoration: none;">Codepalm</a>.</h3>

					</div>

				'

			)

		);

		$screen->add_help_tab(

			array(

				'id'	=> 'affiliate_manager_help_tab_shortcode',

				'title'	=> 'Shortcode',

				'content'	=> '

					<h3>Der Shortcode</h3>

					<p>Um einen Banner auf die Webseite zu platzieren kann folgender Shortcode in den Inhalt eingefügt werden:</p>

					<pre>[affiliate_banner]</pre>

					<p>&nbsp;</p>

					<p>Der Shortcode akzeptiert folgende Parameter:</p>

					<p>

						<strong>id</strong><br/>

						Mit der Angabe einer ID kann ein bestimmter Banner platziert werden. Andere Parameter werden nicht berücksichtigt.

					</p>

					<p>

						<strong>group</strong><br/>

						Ein zufälliger Banner aus der angegebenen Gruppe wird platziert. (Wird im Banner eingestellt)

					</p>

					<p>

						<strong>size</strong><br/>

						Ein zufälliger Banner mit einer bestimten Größe wird platziert. (Wird im Banner eingestellt)

					</p>

					<p>&nbsp;</p>

					<h4>Beispiele:</h4>

					<pre>[affiliate_banner id="123"]</pre>

					<pre>[affiliate_banner group="Content" size="300x250"]</pre>

				'

			)

		);

	}

	

?>