<?php
	
	// Save Changes
	if( !empty( $_POST[ 'save_affiliate_banner' ] ) ) {
		$banner = array();
		foreach( $_POST as $k => $v ) {
			if( explode( '_', $k )[ 0 ] == 'val' ) {
				
				$id = explode( '_', $k )[ 1 ];
				$field = explode( '_', $k )[ 2 ];
				if( !array_key_exists( $id, $banner ) )
					$banner[ $id ] = array(
						'id'			=> '',
						'group'			=> '',
						'size'			=> '',
						'name'			=> '',
						'active'		=> '',
						'script'		=> '',
						'impressions'	=> 0,
						'clicks'		=> 0
					);
				
				if( in_array( $field, array( 'id', 'group', 'size', 'name', 'active', 'script', 'impressions', 'clicks' ) ) )
					if( !empty( $v ) )
						$banner[ $id ][ $field ] = $v;
				
			}
		}
		
		// Garbage Collector
		$filtered_banner = array();
		foreach( $banner as $k => $v ) {
			if( !empty( $v[ 'name' ] ) || !empty( $v[ 'script' ] ) ) {
				$filtered_banner[ $k ] = $v;
			}
		}
		$banner = $filtered_banner;
		
		update_option( 'affiliate_banner_tracking', $banner );
		
		$general_settings = array(
			'ajax_active'		=> $_REQUEST[ 'ajax_active' ],
			'ad_text'			=> $_REQUEST[ 'ad_text' ]
		);
		update_option( 'affiliate_banner_tracking_general', $general_settings );
	}
	
	function affiliate_banner_menu() {
		$affiliate_manager_admin_page = add_menu_page( 'Affiliate Manager', 'Affiliate Manager', 'administrator', __FILE__, 'atomik_affiliate_manager_settings_page', plugins_url( '../img/icon.png', __FILE__ ) );
		add_action( 'admin_init', 'register_affiliate_banner_settings' );
		
		add_action( 'load-' . $affiliate_manager_admin_page, 'affiliate_manager_add_help_tab' );
	}
	if( is_admin() )
		add_action( 'admin_menu', 'affiliate_banner_menu' );
	
	function atomik_affiliate_manager_settings_page() {
		if( true ) {
			
			settings_fields( 'affiliate_banner_forms' );
			$options = get_option( 'affiliate_banner_tracking' );
			
			ob_start();
			?>
				<form id="affiliate-banner-form" method="POST" action="<?php echo get_permalink(); ?>">
					
					<?php echo atomik_affiliate_manager_get_title(); ?>
					
					<?php echo atomik_affiliate_manager_get_general_settings(); ?>
					
					<?php echo atomik_affiliate_manager_get_statistics( $options ); ?>
					
					<div id="submit_wrapper">
						<input type="submit" name="save_affiliate_banner" id="save_affiliate_banner" class="button button-primary button-large menu-save" value="Einstellungen speichern">
					</div>
					
					<?php echo atomik_affiliate_manager_get_banners( $options ); ?>
					
				</form>
			<?php
			echo ob_get_clean();
			
		}
	}
	
	function atomik_affiliate_manager_get_general_settings() {
		if( true ) {
			
			$general = get_option( 'affiliate_banner_tracking_general' );
			
			ob_start();
			?>
				<div class="general_settings">
					<h3>Einstellungen</h3>
					
					<div class="setting_wrapper">
						<div class="setting-left">
							<label for="ajax_active"><strong>Banner-Ausgabe per AJAX</strong></label>
						</div>
						<div class="setting-right">
							<input type="checkbox" value="true" id="ajax_active" name="ajax_active" <?php echo ( ( $general[ 'ajax_active' ] == 'true' ) ? 'checked ' : '' ); ?>/><label for="ajax_active"><strong>AJAX Aktivieren</strong></label><br/>
							<span>Aktiviere diese Option, wenn Deine Webseite HTML-Caching verwendet. Alternativ werden die Banner nicht abwechselnd ausgespielt.</span>
						</div>
					</div>
					
					<div class="setting_wrapper">
						<div class="setting-left">
							<label for="ad_text"><strong>Anzeigen-Text</strong></label>
						</div>
						<div class="setting-right">
							<input type="text" value="<?php echo $general[ 'ad_text' ]; ?>" placeholder="Anzeigen-Text" id="ad_text" name="ad_text" /><br/>
							<span>Zeige Deinen Besuchern, dass es sich bei den Bannern um eine Werbeanzeige handelt.</span>
						</div>
					</div>
					
				</div>
			<?php
			return ob_get_clean();
			
		}
	}
	
	function atomik_affiliate_manager_get_title() {
		if( true ) {
			ob_start();
			?>
				<div class="plugin_options_headline_wrapper">
					<div class="plugin_options_headline_background"></div>
					<div class="plugin_options_headline_image">
						<img src="<?php echo plugins_url( '../img/atomik_logo.png', __FILE__ ); ?>" width="40">
					</div>
					<div class="plugin_options_headline_title">
						<h1><span>Atomik</span> Affiliate Manager</h1>
					</div>
					<div style="clear: both;"></div>
				</div>
			<?php
			return ob_get_clean();
		}
	}
	
	function atomik_affiliate_manager_get_statistics( $options ) {
		if( true ) {
			ob_start();
			?>
				<div class="statistic clearfix">
					<h3>Statistik</h3>
					<?php
						$count_clicks = 0;
						$count_impressions = 0;
						$count_array = array(
							'Gesamt'	=> array(
								'clicks'		=> 0,
								'impressions'	=> 0
							)
						);
						foreach( $options as $k => $v ) {
							
							// ToDo: Filter Times (From - To)
							
							if( !is_array( $v[ 'clicks' ] ) ) $v[ 'clicks' ] = array();
							if( !is_array( $v[ 'impressions' ] ) ) $v[ 'impressions' ] = array();
							
							$count_array[ 'Gesamt' ][ 'clicks' ] += count( $v[ 'clicks' ] );
							$count_array[ 'Gesamt' ][ 'impressions' ] += count( $v[ 'impressions' ] );
							
							$key = $v[ 'group' ].' / '.$v[ 'size' ];
							if( !array_key_exists( $key, $count_array ) )
								$count_array[ $key ] = array(
									'clicks'		=> 0,
									'impressions'	=> 0
								);
							
							$count_array[ $key ][ 'clicks' ] += count( $v[ 'clicks' ] );
							$count_array[ $key ][ 'impressions' ] += count( $v[ 'impressions' ] );
							
						}
					?>
					
					<table colspan="0" cellpadding="0" cellspacing="0">
						<tbody>
							<tr>
								<td>&nbsp;</td>
								<td><strong>Klicks</strong></td>
								<td><strong>Impressionen</strong></td>
								<td><strong>Clickrate</strong></td>
							</tr>
							<?php
								foreach( $count_array as $k => $v ) {
									?>
										<tr>
											<td><?php echo $k; ?></td>
											<td><?php echo $v[ 'clicks' ]; ?></td>
											<td><?php echo $v[ 'impressions' ]; ?></td>
											<td><?php echo round( $v[ 'clicks' ] / $v[ 'impressions' ] * 100, 2 ); ?> %</td>
										</tr>
									<?php
								}
							?>
						</tbody>
					</table>
					
				</div>
			<?php
			return ob_get_clean();
		}
	}
	
	function atomik_affiliate_manager_get_banners( $options ) {
		if( true ) {
			ob_start();
			?>
				<div id="fieldsets">
					<?php
						foreach( $options as $k => $v ) {
							?>
								<fieldset class="tracker" id="affiliate_banner_form_<?php echo $k; ?>" data-id="<?php echo $k; ?>">
									<div class="fieldset_title clearfix" data-active="off">
										<div class="title"><?php echo $v[ 'name' ]; ?></div>
										<div class="group"><?php echo $v[ 'group' ]; ?></div>
										<div class="size"><?php echo $v[ 'size' ]; ?></div>
										<div class="active" data-active="<?php echo $v[ 'active' ]; ?>"><?php if( $v[ 'active' ] == 'on' ) echo '✔'; else echo '✘'; ?></div>
										<div class="trigger"><span></span></div>
									</div>
									<div class="fieldset_content">
										<div class="fieldset_content_inner">
											<input type="text" class="affiliate_banner_id" name="val_<?php echo $k; ?>_id" id="val_<?php echo $k; ?>_id" placeholder="Affiliate ID" value="<?php echo $k; ?>" readonly />
											<input type="text" class="affiliate_banner_name" name="val_<?php echo $k; ?>_name" id="val_<?php echo $k; ?>_name" placeholder="Affiliate Name" value="<?php echo $v[ 'name' ]; ?>" />
											<input type="text" list="data_group_list_<?php echo $k; ?>" class="affiliate_banner_group" name="val_<?php echo $k; ?>_group" id="val_<?php echo $k; ?>_group" placeholder="Banner Group" value="<?php echo $v[ 'group' ]; ?>" />
											<datalist class="banner_list_group" id="data_group_list_<?php echo $k; ?>">
												<?php
													$setted_groups = array();
													foreach( $options as $kk => $vv ) {
														if( !in_array( $vv[ 'group' ], $setted_groups ) ) {
															?>
																<option value="<?php echo $vv[ 'group' ]; ?>"><?php echo $vv[ 'group' ]; ?></option>
															<?php
															$setted_groups[] = $vv[ 'group' ];
														}
													}
												?>
											</datalist>
											<input type="text" list="data_size_list_<?php echo $k; ?>" class="affiliate_banner_size" name="val_<?php echo $k; ?>_size" id="val_<?php echo $k; ?>_size" placeholder="Banner Size" value="<?php echo $v[ 'size' ]; ?>" />
											<datalist class="banner_list_size" id="data_size_list_<?php echo $k; ?>">
												<?php
													$setted_sizes = array();
													foreach( $options as $kk => $vv ) {
														if( !in_array( $vv[ 'size' ], $setted_sizes ) ) {
															?>
																<option value="<?php echo $vv[ 'size' ]; ?>"><?php echo $vv[ 'size' ]; ?></option>
															<?php
															$setted_sizes[] = $vv[ 'size' ];
														}
													}
												?>
											</datalist>
											<label for="val_<?php echo $k; ?>_active" class="checkbox_label"><input type="checkbox" class="affiliate_banner_active" name="val_<?php echo $k; ?>_active" id="val_<?php echo $k; ?>_active" <?php if( $v[ 'active' ] == 'on' ) echo 'checked'; ?>> Aktiv</label>
											<textarea class="affiliate_banner_script" name="val_<?php echo $k; ?>_script" id="val_<?php echo $k; ?>_script" placeholder="Affiliate Banner" ><?php echo $v[ 'script' ]; ?></textarea>
											
											<div class="clearfix">
												<div class="preview_button">
													<input type="button" data-id="<?php echo $k; ?>" name="preview_affiliate_banner" class="button button-large menu-save preview_affiliate_banner" value="Vorschau">
												</div>
												<input type="hidden" name="val_<?php echo $k; ?>_clicks" id="val_<?php echo $k; ?>_clicks" value="<?php if( !empty( $v[ 'clicks' ] ) ) echo $v[ 'clicks' ]; else echo '0'; ?>" />
												<div class="clicks">Klicks: <?php if( !empty( $v[ 'clicks' ] ) ) echo $v[ 'clicks' ]; else echo '0'; ?></div>
												<input type="hidden" name="val_<?php echo $k; ?>_impressions" id="val_<?php echo $k; ?>_impressions" value="<?php if( !empty( $v[ 'impressions' ] ) ) echo $v[ 'impressions' ]; else echo '0'; ?>" />
												<div class="impressions">Impressionen: <?php if( !empty( $v[ 'impressions' ] ) ) echo $v[ 'impressions' ]; else echo '0'; ?></div>
											</div>
										</div>
									</div>
								</fieldset>
							<?php
						}
					?>
				</div>
				<div class="clearfix"></div>
			<?php
			return ob_get_clean();
		}
	}
	
?>