<?php
	
	if( !function_exists( 'affiliate_banner_function' ) ) {
		function affiliate_banner_function( $attr, $content=null ) {
			extract(shortcode_atts(array(
				'id'		=>	'',
				'group'		=>	'',
				'size'		=>	''
			), $attr));
			
			$banner = '';
			$options = get_option( 'affiliate_banner_tracking' );
			$general = get_option( 'affiliate_banner_tracking_general' );
			
			if( empty( $general ) || !empty( $general ) && array_key_exists( 'ajax_active', $general ) && $general[ 'ajax_active' ] != 'true' ) {
				
				$filtered_banners = array();
				foreach( $options as $k => $v ) {
					
					if( $v[ 'active' ] != 'on' ) continue;
					
					if( !empty( $id ) && $id != $v[ 'id' ] ) continue;
					else if( empty( $id ) ) {
						if( !empty( $group ) && strtolower( $v[ 'group' ] ) != strtolower( $group ) ) continue;
						if( !empty( $size ) && strtolower( $v[ 'size' ] ) != strtolower( $size ) ) continue;
					}
					
					$filtered_banners[] = $v;
					
				}
				
				if( empty( $filtered_banners ) ) return;
				$t = array_rand( $filtered_banners );
				$banner_id = $filtered_banners[ $t ][ 'id' ];
				
				$banner = $filtered_banners[ $t ][ 'script' ];
				if( empty( $options[ $banner_id ][ 'impressions' ] ) )
					$options[ $banner_id ][ 'impressions' ] = array();
				if( !current_user_can( 'administrator' ) ) {
					if( !is_array( $options[ $banner_id ][ 'impressions' ] ) ) $options[ $banner_id ][ 'impressions' ] = array();
					$options[ $banner_id ][ 'impressions' ][] = time();
				}
				update_option( 'affiliate_banner_tracking', $options );
				
			}
			else {
				$banner_id = uniqid();
			}
			
			$script = '';
			if( !current_user_can( 'administrator' ) )
				$script = '
					<script>
						(function($) {
							$( document ).ready( function() {
								$( "#atomik_banner_' . $banner_id . '" ).unbind( "click" );
								$( "#atomik_banner_' . $banner_id . '" ).bind( "click", function() {
									$.ajax({
										url: "' . admin_url( 'admin-ajax.php' ) . '",
										data: {
											"action" : "banner_click",
											"id" : $( this ).attr( "data-id" )
										}
									});
								});
							});
						})(jQuery);
					</script>
				';
			
			if( !empty( $general ) && array_key_exists( 'ajax_active', $general ) && $general[ 'ajax_active' ] == 'true' )
				$script .= '
					<script async>
						(function($) {
							$( document ).ready( function() {
								
								$.ajax({
									url: "' . admin_url( 'admin-ajax.php' ) . '",
									data: {
										"action" : "get_banner",
										"group" : "' . $group . '",
										"size" : "' . $size . '"
									},
									success: function( data ) {
										var banner = $.parseJSON( data );
										postscribe( "#atomik_banner_' . $banner_id . '", banner[ "script" ] );
										$( "#atomik_banner_' . $banner_id . '" ).attr( "data-id", banner[ "id" ] );
									}
								});
								
							});
						})(jQuery);
					</script>
				';
			
			return do_shortcode( $script . '<span class="noprint"><span style="display: block; font-size: 12px; line-height: 16px;">' . $general[ 'ad_text' ] . '</span><span class="atomik_banner" id="atomik_banner_' . $banner_id . '" data-id="' . $banner_id . '">'.$banner.'</span></span>' );
		}
		add_shortcode( 'affiliate_banner', 'affiliate_banner_function' );
	}
	
?>